<html>
  <head>
    <meta name="viewport" content="width=device-width, initial-scale=1" charset="UTF-8">
    <title>cat.itb.franciscomejias7e5.dam.m03.uf2.filmitb.ui</title>
<link href="../../images/logo-icon.svg" rel="icon" type="image/svg"><script>var pathToRoot = "../../";</script>    <script>const storage = localStorage.getItem("dokka-dark-mode")
const savedDarkMode = storage ? JSON.parse(storage) : false
if(savedDarkMode === true){
    document.getElementsByTagName("html")[0].classList.add("theme-dark")
}</script>
<script type="text/javascript" src="../../scripts/sourceset_dependencies.js" async="async"></script><link href="../../styles/style.css" rel="Stylesheet"><link href="../../styles/jetbrains-mono.css" rel="Stylesheet"><link href="../../styles/main.css" rel="Stylesheet"><link href="../../styles/prism.css" rel="Stylesheet"><link href="../../styles/logo-styles.css" rel="Stylesheet"><script type="text/javascript" src="../../scripts/clipboard.js" async="async"></script><script type="text/javascript" src="../../scripts/navigation-loader.js" async="async"></script><script type="text/javascript" src="../../scripts/platform-content-handler.js" async="async"></script><script type="text/javascript" src="../../scripts/main.js" defer="defer"></script><script type="text/javascript" src="../../scripts/prism.js" async="async"></script>  </head>
  <body>
    <div class="navigation-wrapper" id="navigation-wrapper">
      <div id="leftToggler"><span class="icon-toggler"></span></div>
      <div class="library-name"><a href="../../index.html">projecte-uf2-MejiasFrancisco-MedinaOmayra</a></div>
      <div>1.0-SNAPSHOT</div>
      <div class="pull-right d-flex"><button id="theme-toggle-button"><span id="theme-toggle"></span></button>
        <div id="searchBar"></div>
      </div>
    </div>
    <div id="container">
      <div id="leftColumn">
        <div id="sideMenu"></div>
      </div>
      <div id="main">
        <div class="main-content" id="content" pageIds="projecte-uf2-MejiasFrancisco-MedinaOmayra::cat.itb.franciscomejias7e5.dam.m03.uf2.filmitb.ui////PointingToDeclaration//769193423">
          <div class="breadcrumbs"><a href="../../index.html">projecte-uf2-MejiasFrancisco-MedinaOmayra</a>/<a href="index.html">cat.itb.franciscomejias7e5.dam.m03.uf2.filmitb.ui</a></div>
          <div class="cover ">
            <h1 class="cover"><span><span>Package</span></span> <span>cat.</span><wbr></wbr><span>itb.</span><wbr></wbr><span>franciscomejias7e5.</span><wbr></wbr><span>dam.</span><wbr></wbr><span>m03.</span><wbr></wbr><span>uf2.</span><wbr></wbr><span>filmitb.</span><wbr></wbr><span>ui</span></h1>
          </div>
          <div class="tabbedcontent">
            <div class="tabs-section" tabs-section="tabs-section"><button class="section-tab" data-active="" data-togglable="Types">Types</button><button class="section-tab" data-togglable="Functions">Functions</button></div>
            <div class="tabs-section-body">
              <h2 class="">Types</h2>
              <div class="table" data-togglable="Types"><a data-name="815208491%2FClasslikes%2F769193423" anchor-label="AppState" id="815208491%2FClasslikes%2F769193423" data-filterable-set=":dokkaHtml/main"></a>
                <div class="table-row" data-filterable-current=":dokkaHtml/main" data-filterable-set=":dokkaHtml/main">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex">
                        <div><a href="-app-state/index.html"><span>App</span><wbr></wbr><span><span>State</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="815208491%2FClasslikes%2F769193423"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":dokkaHtml/main"><div class="symbol monospace"><span class="token keyword">data </span><span class="token keyword">class </span><a href="-app-state/index.html">AppState</a><span class="token punctuation">(</span>currentUser<span class="token operator">: </span><a href="../cat.itb.franciscomejias7e5.dam.m03.uf2.filmitb.model/-user/index.html">User</a><span class="token operator">?</span><span class="token punctuation">)</span><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="319856515%2FClasslikes%2F769193423" anchor-label="FilmUI" id="319856515%2FClasslikes%2F769193423" data-filterable-set=":dokkaHtml/main"></a>
                <div class="table-row" data-filterable-current=":dokkaHtml/main" data-filterable-set=":dokkaHtml/main">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex">
                        <div><a href="-film-u-i/index.html"><span>Film</span><wbr></wbr><span><span>UI</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="319856515%2FClasslikes%2F769193423"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":dokkaHtml/main"><div class="symbol monospace"><span class="token keyword">data </span><span class="token keyword">class </span><a href="-film-u-i/index.html">FilmUI</a><span class="token punctuation">(</span>scanner<span class="token operator">: </span><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Scanner.html">Scanner</a><span class="token punctuation">, </span>filmItb<span class="token operator">: </span><a href="../cat.itb.franciscomejias7e5.dam.m03.uf2.filmitb.model/-film-itb/index.html">FilmItb</a><span class="token punctuation">, </span>appState<span class="token operator">: </span><a href="-app-state/index.html">AppState</a><span class="token punctuation">)</span><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="-1110997409%2FClasslikes%2F769193423" anchor-label="SearchUI" id="-1110997409%2FClasslikes%2F769193423" data-filterable-set=":dokkaHtml/main"></a>
                <div class="table-row" data-filterable-current=":dokkaHtml/main" data-filterable-set=":dokkaHtml/main">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex">
                        <div><a href="-search-u-i/index.html"><span>Search</span><wbr></wbr><span><span>UI</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1110997409%2FClasslikes%2F769193423"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":dokkaHtml/main"><div class="symbol monospace"><span class="token keyword">data </span><span class="token keyword">class </span><a href="-search-u-i/index.html">SearchUI</a><span class="token punctuation">(</span>scanner<span class="token operator">: </span><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Scanner.html">Scanner</a><span class="token punctuation">, </span>filmItb<span class="token operator">: </span><a href="../cat.itb.franciscomejias7e5.dam.m03.uf2.filmitb.model/-film-itb/index.html">FilmItb</a><span class="token punctuation">, </span>appState<span class="token operator">: </span><a href="-app-state/index.html">AppState</a><span class="token punctuation">)</span><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="-751876953%2FClasslikes%2F769193423" anchor-label="UI" id="-751876953%2FClasslikes%2F769193423" data-filterable-set=":dokkaHtml/main"></a>
                <div class="table-row" data-filterable-current=":dokkaHtml/main" data-filterable-set=":dokkaHtml/main">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex">
                        <div><a href="-u-i/index.html"><span><span>UI</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-751876953%2FClasslikes%2F769193423"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":dokkaHtml/main"><div class="symbol monospace"><span class="token keyword">data </span><span class="token keyword">class </span><a href="-u-i/index.html">UI</a><span class="token punctuation">(</span>scanner<span class="token operator">: </span><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Scanner.html">Scanner</a><span class="token punctuation">)</span><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="-430377764%2FClasslikes%2F769193423" anchor-label="UserUI" id="-430377764%2FClasslikes%2F769193423" data-filterable-set=":dokkaHtml/main"></a>
                <div class="table-row" data-filterable-current=":dokkaHtml/main" data-filterable-set=":dokkaHtml/main">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex">
                        <div><a href="-user-u-i/index.html"><span>User</span><wbr></wbr><span><span>UI</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-430377764%2FClasslikes%2F769193423"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":dokkaHtml/main"><div class="symbol monospace"><span class="token keyword">data </span><span class="token keyword">class </span><a href="-user-u-i/index.html">UserUI</a><span class="token punctuation">(</span>scanner<span class="token operator">: </span><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Scanner.html">Scanner</a><span class="token punctuation">, </span>filmItb<span class="token operator">: </span><a href="../cat.itb.franciscomejias7e5.dam.m03.uf2.filmitb.model/-film-itb/index.html">FilmItb</a><span class="token punctuation">, </span>appState<span class="token operator">: </span><a href="-app-state/index.html">AppState</a><span class="token punctuation">)</span><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
              <h2 class="">Functions</h2>
              <div class="table" data-togglable="Functions"><a data-name="-1192647797%2FFunctions%2F769193423" anchor-label="main" id="-1192647797%2FFunctions%2F769193423" data-filterable-set=":dokkaHtml/main"></a>
                <div class="table-row" data-filterable-current=":dokkaHtml/main" data-filterable-set=":dokkaHtml/main">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex">
                        <div><a href="main.html"><span><span>main</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1192647797%2FFunctions%2F769193423"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":dokkaHtml/main"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="main.html"><span class="token function">main</span></a><span class="token punctuation">(</span><span class="token punctuation">)</span><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="footer"><span class="go-to-top-icon"><a href="#content" id="go-to-top-link"></a></span><span>© 2022 Copyright</span><span class="pull-right"><span>Generated by </span><a href="https://github.com/Kotlin/dokka"><span>dokka</span><span class="padded-icon"></span></a></span></div>
      </div>
    </div>
  </body>
</html>

